summaryrefslogtreecommitdiffstats
path: root/system/ttf-sil-gentium
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 19:46:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:42 +0200
commit1a743c5fbe5d588b38c021bffea42ed6f62cc64a (patch)
treecc3356121aaed3a64c29c177821363b5152a0ffd /system/ttf-sil-gentium
parent2c47221a990bd45652eeb83df0d35f49e55afdb6 (diff)
downloadslackbuilds-1a743c5fbe5d588b38c021bffea42ed6f62cc64a.tar.gz
slackbuilds-1a743c5fbe5d588b38c021bffea42ed6f62cc64a.tar.xz
system/ttf-sil-gentium: Updated for version 1.02
Diffstat (limited to 'system/ttf-sil-gentium')
-rw-r--r--system/ttf-sil-gentium/README6
-rw-r--r--system/ttf-sil-gentium/doinst.sh5
-rw-r--r--system/ttf-sil-gentium/slack-desc10
-rw-r--r--system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild28
-rw-r--r--system/ttf-sil-gentium/ttf-sil-gentium.info4
5 files changed, 22 insertions, 31 deletions
diff --git a/system/ttf-sil-gentium/README b/system/ttf-sil-gentium/README
index e3e97425f0..8e8f5be2d2 100644
--- a/system/ttf-sil-gentium/README
+++ b/system/ttf-sil-gentium/README
@@ -11,9 +11,3 @@ monotonic Greek, including a number of alternate forms. These fonts were
originally the product of two years of research and study by the designer at
the University of Reading, England, as part of an MA program in Typeface
Design.
-
-Due to some funkiness with how wget interacts with the Gentium page's download
-links, it's recommended to download the source package with a web browser and
-then move it into the SlackBuild directory. However, if you do use wget, the
-script should detect it and fix the tarball name automatically.
-
diff --git a/system/ttf-sil-gentium/doinst.sh b/system/ttf-sil-gentium/doinst.sh
index fc94fe899c..f24d0b8cbd 100644
--- a/system/ttf-sil-gentium/doinst.sh
+++ b/system/ttf-sil-gentium/doinst.sh
@@ -1,6 +1,7 @@
#!/bin/sh
+
# Update the X font indexes:
-if [ -x usr/X11R6/bin/fc-cache ]; then
- usr/X11R6/bin/fc-cache -f
+if [ -x usr/bin/fc-cache ]; then
+ usr/bin/fc-cache -f
fi
diff --git a/system/ttf-sil-gentium/slack-desc b/system/ttf-sil-gentium/slack-desc
index a9112a63da..f2ddb1beff 100644
--- a/system/ttf-sil-gentium/slack-desc
+++ b/system/ttf-sil-gentium/slack-desc
@@ -1,4 +1,12 @@
-ttf-sil-gentium: Gentium - a typeface for the nations
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+ttf-sil-gentium: Gentium (typeface for the nations)
ttf-sil-gentium:
ttf-sil-gentium: Gentium is a typeface family designed to enable the diverse
ttf-sil-gentium: ethnic groups around the world who use the Latin script to
diff --git a/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild b/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild
index 914eb5f5b3..ba8b562f75 100644
--- a/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild
+++ b/system/ttf-sil-gentium/ttf-sil-gentium.SlackBuild
@@ -3,43 +3,31 @@
# Slackware build script for ttf-sil-gentium
# Written by Kyle Guinn
-# Modified by the SlackBuilds.org project
-
-set -e
-
PRGNAM=ttf-sil-gentium
VERSION=1.02
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-# First, if the source was pulled with wget, then it might not get named
-# correctly - let's fix that
-if [ -e "$CWD/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz" ]; then
- mv "$CWD/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz" \
- "$CWD/-ttf-sil-gentium_1.0.2.tar.gz"
-fi
-
-# Watch out for the name of this tarball - the leading '-' might cause problems
-# To remove it, try `rm /path/to/-ttf-sil-gentium_1.0.2.tar.gz`
-# or rm -- -ttf-sil-gentium_1.0.2.tar.gz
-tar -xzvf $CWD/\-ttf-sil-gentium_1.0.2.tar.gz || exit 1
+tar xvf $CWD/ttf-gentium_$VERSION.orig.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-mkdir -p $PKG/usr/share/fonts
-cp -a *.ttf $PKG/usr/share/fonts
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttf $PKG/usr/share/fonts/TTF
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a FONTLOG GENTIUM-FAQ OFL* README $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/system/ttf-sil-gentium/ttf-sil-gentium.info b/system/ttf-sil-gentium/ttf-sil-gentium.info
index 412de97807..8e3063efe8 100644
--- a/system/ttf-sil-gentium/ttf-sil-gentium.info
+++ b/system/ttf-sil-gentium/ttf-sil-gentium.info
@@ -1,8 +1,8 @@
PRGNAM="ttf-sil-gentium"
VERSION="1.02"
HOMEPAGE="http://scripts.sil.org/Gentium_linux"
-DOWNLOAD="http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=Gentium_102_L_tar&filename=%2Fttf-sil-gentium_1.0.2.tar.gz"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/t/ttf-gentium/ttf-gentium_1.02.orig.tar.gz"
MD5SUM="4c3e6ae586be277537ebb68f2a45b883"
MAINTAINER="Kyle Guinn"
EMAIL="elyk03@gmail.com"
-APPROVED="robw810"
+APPROVED="rworkman"